Bug 1264671 - docker commit stall
docker commit stall
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
23
aarch64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2015-09-20 09:10 EDT by Itaru Kitayama
Modified: 2015-12-01 16:37 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 16:37:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itaru Kitayama 2015-09-20 09:10:42 EDT
Description of problem:
Unable to commit image

Version-Release number of selected component (if applicable):
$ docker version
Client:
 Version:      1.8.2-fc23
 API version:  1.20
 Package Version: docker-1.8.2-2.gitd449443.fc23.aarch64
 Go version:   go1.4.2 gccgo (GCC) 5.1.1 20150618 (Red Hat 5.1.1-4)
 Git commit:   8a838c0-dirty
 Built:        Wed Sep 16 09:42:34 UTC 2015
 OS/Arch:      linux/arm64

How reproducible:
100% of the time

Steps to Reproduce:
1. docker ps -a
2. docker commit
3.

Actual results:
Stalls without leaving a message on console

Expected results:
Local changes are successfully committed

Additional info:
Comment 1 Daniel Walsh 2015-09-21 08:52:33 EDT
This version works fine for me on fedora 22

# rpm -q docker
docker-1.8.2-1.gitf1db8f2.fc22.x86_64
# docker run --name test fedora  touch /dan
# docker commit test test1
4b7b535b38a3661160c9e370a914861ef09e77f91ef77d71ef31daf9af838def
# docker info
Containers: 15
Images: 14
Storage Driver: devicemapper
 Pool Name: docker-252:1-5334-pool
 Pool Blocksize: 65.54 kB
 Backing Filesystem: extfs
 Data file: /dev/loop0
 Metadata file: /dev/loop1
 Data Space Used: 1.112 GB
 Data Space Total: 107.4 GB
 Data Space Available: 321.6 MB
 Metadata Space Used: 2.183 MB
 Metadata Space Total: 2.147 GB
 Metadata Space Available: 321.6 MB
 Udev Sync Supported: true
 Deferred Removal Enabled: false
 Data loop file: /var/lib/docker/devicemapper/devicemapper/data
 Metadata loop file: /var/lib/docker/devicemapper/devicemapper/metadata
 Library Version: 1.02.93 (2015-01-30)
Execution Driver: native-0.2
Logging Driver: json-file
Kernel Version: 4.1.5-200.fc22.x86_64
Operating System: Fedora 22 (Twenty Two)
CPUs: 1
Total Memory: 1.954 GiB
Name: localhost
ID: X7W2:7YUH:Q4OO:C3HO:OG77:HQGG:G3CL:PDEM:QCHC:H7VV:WVSA:KHTC
Comment 2 Itaru Kitayama 2015-09-21 08:55:08 EDT
Sorry, I was talking about Docker on aarch64 Fedora 23 Alpha.
Comment 3 Itaru Kitayama 2015-09-25 09:53:39 EDT
This is the Docker version info I am currently using as part of Fedora 23 candidate release.

$ sudo docker info
Containers: 35
Images: 37
Storage Driver: devicemapper
 Pool Name: docker-8:4-1835115-pool
 Pool Blocksize: 65.54 kB
 Backing Filesystem: extfs
 Data file: /dev/loop0
 Metadata file: /dev/loop1
 Data Space Used: 33.61 GB
 Data Space Total: 107.4 GB
 Data Space Available: 73.77 GB
 Metadata Space Used: 28.22 MB
 Metadata Space Total: 2.147 GB
 Metadata Space Available: 2.119 GB
 Udev Sync Supported: true
 Deferred Removal Enabled: false
 Data loop file: /var/lib/docker/devicemapper/devicemapper/data
 Metadata loop file: /var/lib/docker/devicemapper/devicemapper/metadata
 Library Version: 1.02.107 (2015-09-05)
Execution Driver: native-0.2
Logging Driver: json-file
Kernel Version: 4.2.0-rc5+
Operating System: Fedora 23 (Twenty Three)
CPUs: 8
Total Memory: 31.83 GiB
Name: r2-a21
ID: 7IB5:NDCH:OPIJ:Q2ZD:CHYK:3QLY:YCJ4:Y35I:BBIK:IQD6:JDGW:ZSLD
Username: itaru
Registry: https://index.docker.io/v1/
Comment 4 Daniel Walsh 2015-09-25 10:11:18 EDT
I have no idea who supports packages on aarch64?  No idea how well golang works there.
Comment 5 Itaru Kitayama 2015-09-27 03:29:00 EDT
I think Go version 1.5 should be ok to use on aarch64.

Here's the maintainer info provided by Koji:

http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=315845
Comment 6 Daniel Walsh 2015-10-28 10:18:02 EDT
Is this fixed with go 1.5?
Comment 7 Itaru Kitayama 2015-10-28 19:02:59 EDT
Dan,
I am not sure. I've just upgraded docker to the latest, 1.8.2-fc23,
the commit still fails. I am wondering when Fedora packing switch
to Go 1.5.
Comment 8 Daniel Walsh 2015-10-29 09:42:37 EDT
I think we are building with golang 1.5 now. Lokesh is that true?
Comment 9 Jakub Čajka 2015-10-29 10:46:07 EDT
According to arm koji logs gcc-go was/is used. And in docker(f23 branch) spec files is 
"%global gccgo_arches %{power64} s390x aarch64"
which might be undesired as golang is available for aarch64 http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=322820 and go(lang) macros with same name(s) are in place(http://fedoraproject.org/wiki/PackagingDrafts/Go):
# rpm --eval %gccgo_arches
ppc64 ppc64p7 ppc64le s390x
# rpm --eval %golang_arches
i386 i486 i586 i686 pentium3 pentium4 athlon geode x86_64 armv3l armv4b armv4l armv4tl armv5tel armv5tejl armv6l armv6hl armv7l armv7hl armv7hnl aarch64

Scratch build using golang-1.5.1-0.fc23(according to root.log)(will be garbage collected in a few):
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3257125
Not sure whatever produced binaries are working properly.
Comment 10 Itaru Kitayama 2015-10-29 19:38:09 EDT
Dan, Jakub,
I've just installed the Go 1.5-based docker on Mustang and confirmed that
the commit again works. Userland is almost Fedora 23 (aarch64).

Thanks for uploading the build for testing.
Comment 11 Jakub Čajka 2015-11-19 03:07:43 EST
For the record there is now new build of docker built by golang http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=326737
it should be in f23 updates repository already(i.e. pushed). Could you re-test please?
Comment 12 Itaru Kitayama 2015-11-19 03:51:40 EST
I can docker commit in f23 as well.

Note You need to log in before you can comment on or make changes to this bug.